#
# spec file for package pcpmon (Version 1.3.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gd gd-devel gdbm gdbm-devel gettext gettext-devel glib glib-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtk gtk-devel gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcp perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           pcpmon
BuildRequires:  gd-devel gtk-devel libpng-devel libtiff-devel libxml2-devel pcp update-desktop-files
Version:        1.3.3
Release:        731.2
Summary:        A graphical monitor for Performance Co-Pilot (PCP)
License:        GPL
Group:          System/Monitoring
Requires:       pcp
Autoreqprov:    on
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch:          %{name}-%{version}.dif
Patch1:         %{name}-%{version}-compoundlabel.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PCPMON is a graphical monitor for the performance-monitoring package
Performance Co-Pilot (PCP). It is intended mainly for performance
and/or misson critical server's administrators.



Authors:
--------
    Michal Kara <lemming@atrey.karlin.mff.cuni.cz>

%debug_package
%prep
%setup -q -n %{name}-%{version}
%patch
%patch1 -p1

%build
libtoolize --force --ltdl
aclocal 
autoconf
autoheader
rm -f missing # Make sure we get the new one from automake
automake -a
%{?suse_update_config:%{suse_update_config -f}}
LIBS="-lm " ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
%suse_update_desktop_file -i %name System Monitor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog TODO NEWS
/usr/bin/*
/usr/share/applications/*.desktop

%changelog -n pcpmon
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 29 2004 - mmj@suse.de
- Fix error: label at end of compound statement (gcc 3.4)
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Sat Aug 16 2003 - adrian@suse.de
- add desktop file
* Mon Jan 20 2003 - ro@suse.de
- fixed multiline string issues in code
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Sun Nov 04 2001 - nashif@suse.de
- Update to version 1.3.3
  * Logarithmic axes fixed.
  * Logarithmic axes added but currently disabled because they do not work
  properly
  * Oversampling added
  * Number of characters in labels enlarged
  * When in shot mode, error messages are drawn to the image.
  * Program now uses gdImageGif when gdImagePng is not available
  * Works with both libxml1 and libxml2 (version is autodetected)
- run autoconf with updated files (in spec)
* Thu Oct 04 2001 - nashif@suse.de
- use xml2-config
- run suse_update_config
* Wed Jun 06 2001 - nashif@suse.de
- Fixed configure.in
* Wed Mar 21 2001 - ro@suse.de
- added freetype2 to neededforbuild
* Fri Feb 23 2001 - nashif@suse.de
- Update to version 1.3.0
* Sun Nov 05 2000 - nashif@suse.de
- Changed neededforbuild
* Thu Nov 02 2000 - nashif@suse.de
- Changed libxmld -> libxml-devel
* Sat May 27 2000 - nashif@suse.de
- Initial Release (1.2.0)
